Subject: Re: bug#49888: 28.0.50; fido-mode not sorting by recency

From: Manuel Uberti <[email-masked]>
Date: Sun, 15 Aug 2021 15:49:05 +0200

On 15/08/21 14:38, João Távora wrote:
> I've just commited this fix:
> 
>      commit ab23fa4eb22f6557414724769958a63f1c59b49a (HEAD -> master, origin/master, origin/HEAD)
>      Author: João Távora <[email-masked]>
>      Date:   Sun Aug 15 13:19:59 2021 +0100
>       
>          Sort by recency in flex completion style when no flexy stuff happening
> 
> There is still the C-x f bug, but that wasn't in your report.  You seem
> to be concerned with M-x and C-x p f (as am I, by the way)

Fantastic, it works greatly for those commands.

> That other problem isn't even very well understood by me.  C-x f looks
> for files in a single directory, but minibuffer history has whole
> paths...  I think it deserves a new bug report if anyone really cares.

Yes, I can live with C-x f not sorting by recency. I mostly move by projects, 
and when I use C-x f I don't mind typing a bit more to get where I want. So I 
agree with you, this can be a matter for a different bug report.

> For now I think particular bug report can be closed.  If anyone
> disagrees, let me know.

Thank you so much for having worked on this.

-- 
Manuel Uberti
www.manueluberti.eu